Tasks

Update Task

PATCH
/orgs/{organizationId}/tasks/{id}

Updates a task's fields, assignees, and labels.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
name?string
Length1 <= length
description?string|null
status?string
Value in"PENDING""IN_PROGRESS""WAITING""COMPLETED"
priority?string
Value in"LOW""MEDIUM""HIGH""URGENT"
dueDate?|null
remindAt?|null
remindByEmail?boolean
remindByPush?boolean
remindRrule?|null
viewIds?array<string>
blockedByIds?array<string>
blockingIds?array<string>
commentId?null
assigneeIds?array<string>
assigneeGroupIds?array<string>
labelIds?array<string>
attachmentIds?array<string>
actions?array<>
Itemsitems <= 8
customerIds?array<string>
terrainIds?array<string>
invoiceIds?array<string>
reservationIds?array<string>
meterIds?array<string>
voipCallIds?array<string>
inboxThreadIds?array<string>

Response Body

OK

application/json
  1. response
curl -X PATCH 'https://api.tillor.eu/orgs/string/tasks/string' \  -H 'Content-Type: application/json' \  -d '{}'
null